Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.EqualityExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.EqualityExprAltContext

-     public static class GroovyParser.EqualityExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `GroovyParser.ExpressionContext` | `left` |
    `Token` | `op` |
    `GroovyParser.ExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EqualityExprAltContext(GroovyParser.ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `EQUAL()`
    `` | `public TerminalNode` | `IDENTICAL()`
    `` | `public TerminalNode` | `NOTEQUAL()`
    `` | `public TerminalNode` | `NOT_IDENTICAL()`
    `` | `public TerminalNode` | `SPACESHIP()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public GroovyParser.ExpressionContext` | `expression(int i)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.ExpressionContext` | `copyFrom, getRuleIndex`
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public GroovyParser.ExpressionContext left

    - #### public Token op

    - #### public GroovyParser.ExpressionContext right

  - ### Constructor Detail

    - #### public EqualityExprAltContext(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode EQUAL()

    - #### public TerminalNode IDENTICAL()

    - #### public TerminalNode NOTEQUAL()

    - #### public TerminalNode NOT_IDENTICAL()

    - #### public TerminalNode SPACESHIP()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public GroovyParser.ExpressionContext expression(int i)

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)